Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.cms
Interface SignedData

public interface SignedData

An interface to data signed according to the CMS specification.

CMS signing is used to protect arbitrary data by associating it with digital signatures from one or more signers. The data to be protected may be included in the SignedData or it may be excluded (detached signature case) and carried independently. Each signer in the SignedData is associated with a SignerInfo containing information on the signer (algorithms, keys, etc) as well as the signature itself. Certificates and Certificate Revocation Lists (CRLs) may also be carried in a SignedData to assist in the verification process. Current practice is such that at least the signer certificates are included.

In JCSI, an instance of this SignedData interface is returned as a result of a successful verification with the CMSSignature class of data signed according to CMS. A SignedData instance is always associated with a VerificationResult instance representing the result of a successful verification. The data that was signed (whether encapsulated or otherwise) and its type can be retrieved from this same VerificationResult instance.

SignedData is defined in RFC2630 by the ASN.1 structure

         SignedData ::= SEQUENCE {
            version CMSVersion,
            digestAlgorithms DigestAlgorithmIdentifiers,
            encapContentInfo EncapsulatedContentInfo,
            certificates [0] IMPLICIT CertificateSet OPTIONAL,
            crls [1] IMPLICIT CertificateRevocationLists OPTIONAL,
            signerInfos SignerInfos }

         DigestAlgorithmIdentifiers ::= SET OF DigestAlgorithmIdentifier

         SignerInfos ::= SET OF SignerInfo

See Also:
  `CMSSignature`, `VerificationResult`, `SignerInfo`

Method Summary
`X509Certificate[]` | `getCertificates()` Returns all (possibly none) the X.509 certificates carried in this SignedData
`X509CRL[]` | `getCRLs()` Returns all (possibly none) the X.509 CRLs carried in this SignedData.
`SignerInfo[]` | `getSignerInfos()` Returns all the SignerInfos (one for each signer) in this SignedData

Method Detail

### getCertificates

    public X509Certificate[] getCertificates()

  Returns all (possibly none) the X.509 certificates carried in this SignedData

### getCRLs

    public X509CRL[] getCRLs()

  Returns all (possibly none) the X.509 CRLs carried in this SignedData.

### getSignerInfos

    public SignerInfo[] getSignerInfos()

  Returns all the SignerInfos (one for each signer) in this SignedData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD